#pragma once

/**
** \defgroup bip39 BIP39
** Convert between raw bytes and \ref bip39_words.
** See: https://github.com/bitcoin/bips/blob/master/bip-0039.mediawiki.
** @{
*/

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

bool tf_bip39_bytes_to_words(const uint8_t* bytes, size_t bytes_size, char* out_words, size_t words_size);
bool tf_bip39_words_to_bytes(const char* words, uint8_t* out_bytes, size_t bytes_size);

/** @} */
